import logging

import connexion
from flask_testing import TestCase

from src.rest.encoder import JSONEncoder


class BaseTestCase(TestCase):

    def create_app(self):
        # silence the noise debug log of the relevant modules
        for log_name in ("connexion", "openapi_spec_validator"):
            logging.getLogger(log_name).setLevel('ERROR')
        app = connexion.App(__name__, specification_dir='../swagger/')
        app.app.json_encoder = JSONEncoder
        app.add_api('swagger.yaml')
        return app.app
